RSS feed generator

  • 릴리스 버전: Australia
  • 업데이트 날짜 2026년 03월 12일
  • 소요 시간: 2분
  • ServiceNow supports the dynamic generation of RSS feeds.

    Much like our Web Services implementation, the retrieval of an RSS feed representation of information is simply done by specifying an RSS parameter at the end of the URL to a table list. For example, the following will return a list of all incidents in RSS 2.0 format.:

    Adding a Query

    To associate a query to the list so that a filtered list is returned, use the sysparm_query parameter. For example, the following will return a list of all incidents where the priority field is 1 (Critical):
     https://<instance name>.service-now.com/incident.do?sysparm_query=priority=1&RSS
    If you have a multi part query then you would separate the parts with the ^ character. For example to get all priority 1 incidents with a category of software you would:
    https://<instance name>.service-now.com/incident.do?sysparm_query=priority=1^category=software&RSS
    If you want to query on a field that is a reference to another file then you need to use javascript to resolve the reference to the other file. For example, the assigned_to field in incident is a reference to a user record. If you wanted to find all the incidents assigned to "ITIL User" then you would do the following:
    https://<instance name>.service-now.com/incident.do?sysparm_query=assigned_to=javascript:GetIDValue('sys_user','ITIL%20User')&RSS
    주:
    You can in most cases simply append "&RSS" to a URL that you generate in the U.I. or that of your favorite module. The easiest way to get the URL is to simply click the last breadcrumb from the list view. After appending "&RSS" then you can use this URL in your RSS feed reader
    그림 1. Get Bread URL